Zum Inhalt springen
AchaduDevelopers
Developers/API/webhook_update
Webhooks

Webhook aktualisieren

Aktualisieren Sie URL, Ereignisse oder Status, ohne das Geheimnis zu ändern.

PATCH/webhooks/{id}webhooks:write

Anfrage

idstring · pathRessourcenbezeichner.obligatorisch
namestring · bodyName.optional
urlstring · bodyÖffentliche HTTPS-URL.optional
eventsarray · bodyEreignisse oder *.optional
activeboolean · bodyAktiviert das Ziel.optional

Beispiel

curl
curl -X PATCH 'https://achadu.com/api/v1/webhooks/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "url": "https://example.com/product",
  "events": [
    "offer.created"
  ]
}'

Antwort

200Vorgang abgeschlossen
4xxFehler mit Code, Nachricht und request_id